<?php
/**
 * @version		SYPEX Dumper v1.0
 * @package		com_sypexdumper
 * @copyright	Copyright (C) 2011 Joomalungma
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @author      Nikita Zonov {@link http://joomalungma.com}
 * @link 		mailto:info@joomalungma.com Support Email
 */
//--No direct access
defined('_JEXEC') or die('No Direct Access');

jimport( 'joomla.application.component.view');

class SypexDumperViewSypexDumper extends JView
{

	function display($tpl = null)
	{
        JToolBarHelper::title(  JText::_( 'SYPEX Dumper!' ),'sypexdumper');

        $doc = JFactory::getDocument();
        $doc->addStyleSheet(JURI::base() . 'components/com_sypexdumper/assets/css/sypexdumper.css');

        $token = JSession::getFormToken();
        $this->setToken($token);
        $this->assignRef('token',$token);
        parent::display($tpl);

	}//function

    private function setToken($token)
    {
        $db = JFactory::getDbo();
        // Remove old tokens
        $query = 'DELETE FROM #__sypexdumper WHERE `created` < CURDATE()';
        $db->setQuery($query);
        $db->query();

        //Add current
        $query = "INSERT INTO #__sypexdumper (`token`) VALUES ('$token')";
        $db->setQuery($query);
        $db->query();
    }
}//class